#ifndef LIBWCCL_PARSER_PARSER_H
#define LIBWCCL_PARSER_PARSER_H

#include <sstream>
#include <libcorpus2/tagset.h>

#include "ANTLRLexer.hpp"
#include "ANTLRParser.hpp"

#include <libwccl/parser/ParserException.h>

// <libwccl>

class Parser {
public:
	Parser(const Corpus2::Tagset&);
	~Parser();

	// --------------------------------------------------------------------------
	// FIXME	
	void parseExpression(const std::string&) const;
	void parseExpression(std::istream&     ) const;

private:
	const Corpus2::Tagset &tagset;
};

#endif // LIBWCCL_PARSER_PARSER_H
